# simple example showing the easiest kind of morph, where identifiers
# from the two input structures already match perfectly

# load the input conformations
# (from local PDB files if present...otherwise fetched via the web)

fetch 1cfd, conf1, async=0

fetch 1cm1, conf2, async=0


# eliminate hydrogens

remove hydro


# align the structures

align conf2, conf1


# create a sequence alignment (without superposition)

align conf2, conf1, object=seq_aln, cycles=0, transform=0


# force a refresh (to create the seq_aln selection)

refresh


# create a hybrid object using only the aligned atoms

create morph_inp, conf1 and seq_aln, 1, 1

create morph_inp, conf2 and seq_aln, 1, 2


# make it pretty

dss morph_inp

as cartoon, morph_inp

spectrum count, selection=morph_inp and elem c

show lines, morph_inp

set cartoon_side_chain_helper

dss morph_inp

 
# create the morph (runs asynch so you can watch)

from epymol import rigimol

rigimol.morph("morph_inp","morph_out",refinement=5, async=1)

