# a simple helix - coil transition

load peptide1.pdb, conf1

load peptide2.pdb, conf2


# align the structures

align conf2, conf1


# create a sequence alignment (without superposition)

align conf2, conf1, object=seq_aln, cycles=0, transform=0


# force a refresh (to create the seq_aln selection)

refresh


# create a hybrid object using only the aligned atoms

create morph_inp, conf1 and seq_aln, 1, 1

create morph_inp, conf2 and seq_aln, 1, 2


# make it pretty

show sticks

 
# create the morph (runs asynch so you can watch the process)

from epymol import rigimol

rigimol.morph("morph_inp","morph_out",refinement=5, async=1)

